function function_EstimationShow(y_est,time)

% function displays series of estimates at every iteration of multichannel
% blind deconvolution. 
%
% EXAMPLE
% function_EstimationShow(y_est_series)
%
% or
%
% function_EstimationShow(v_est_series(:,:,:,i,ccolor)), where i is numaber
% of frame, ccolor is a color.

if nargin<2, time=0.25; end;

h1 = figure;
while 1==1,
    for ss=1:size(y_est,3),
        if get(0,'CurrentFigure')==h1,
            figure(h1),
            imshow(squeeze(y_est(:,:,ss,:)),[]), title(['Iter. ', int2str(ss)]),
            pause(time),
        else
            break;
        end;
    end;
    
    if isempty(get(0,'CurrentFigure')) | get(0,'CurrentFigure')~=h1,
        break;
    end;
end;